commit 84f3bb33babfb055ae101abb17024b3915a1a4b9
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Tue Apr 21 21:13:13 2020 +0200

    re #7891 Unable to load URI (file: added)
    gitignore for classpath not working, but this version should not harm anything

diff --git a/.gitignore b/.gitignore
index 8b00fae..07614a3 100644
--- a/.gitignore
+++ b/.gitignore
@@ -1,4 +1,4 @@
 project/Deserializer/.classpath
 project/Deserializer/.classpath
 project/Deserializer/.classpath
-project/.vscode/launch.json
+project/.vscode/launch.json
\ No newline at end of file
diff --git a/project/Deserializer/.classpath b/project/Deserializer/.classpath
index 1794658..0196f20 100644
--- a/project/Deserializer/.classpath
+++ b/project/Deserializer/.classpath
@@ -1,13 +1,11 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8">
+	<accessrules>
+		<accessrule kind="accessible" pattern="javafx/**"/>
+		<accessrule kind="accessible" pattern="com/sun/javafx/**"/>
+	</accessrules>
+	</classpathentry>
 	<classpathentry kind="src" path="src"/>
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.base.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.graphics.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.controls.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.fxml.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.media.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.web.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx-swt.jar"/> 
-	<classpathentry exported="flase" kind="lib" path="C:/Program Files/Java/jre1.8.0_20/lib/javafx-sdk-11.0.2/lib/javafx.swing.jar"/> 
 	<classpathentry kind="output" path="bin"/>
 </classpath>
diff --git a/project/Deserializer/.settings/org.eclipse.core.resources.prefs b/project/Deserializer/.settings/org.eclipse.core.resources.prefs
deleted file mode 100644
index 99f26c0..0000000
--- a/project/Deserializer/.settings/org.eclipse.core.resources.prefs
+++ /dev/null
@@ -1,2 +0,0 @@
-eclipse.preferences.version=1
-encoding/<project>=UTF-8
diff --git a/project/Deserializer/src/Deserializer.java b/project/Deserializer/src/Deserializer.java
index 65d5fef..06b839f 100644
--- a/project/Deserializer/src/Deserializer.java
+++ b/project/Deserializer/src/Deserializer.java
@@ -75,7 +75,7 @@ public class Deserializer extends Application implements IConversionResults {
 	@Override
 	public void start(Stage stage) throws Exception {
 		this.stage = stage;
-		stage.getIcons().add(new Image("img/logo.png"));
+		stage.getIcons().add(new Image("file:img/logo.png"));
 		stage.setTitle("Java Object Universal Deserializer");
 		stage.setScene(createScene());
 		stage.setMinWidth(400);
@@ -328,7 +328,7 @@ public class Deserializer extends Application implements IConversionResults {
 		this.fullScreen = (Label) fullScreen.getGraphic();
 		changeFullScreenMenuItem();
         
-        MenuItem close = createMenuItem("Ukončit", "img/close.png", new KeyCodeCombination(KeyCode.E, KeyCombination.CONTROL_DOWN));
+        MenuItem close = createMenuItem("Ukončit", "file:img/close.png", new KeyCodeCombination(KeyCode.E, KeyCombination.CONTROL_DOWN));
         close.setOnAction(event -> {
 			Platform.exit();
 		});
@@ -342,7 +342,7 @@ public class Deserializer extends Application implements IConversionResults {
 	
 	private void changeFullScreenMenuItem() {
 		fullScreen.setText(stage.isFullScreen() ? "Normální zobrazení" : "Plné zobrazení");
-		fullScreen.setGraphic(new ImageView(stage.isFullScreen() ? "img/normal.png" : "img/full.png"));
+		fullScreen.setGraphic(new ImageView(stage.isFullScreen() ? "file:img/normal.png" : "file:img/full.png"));
 	}
 	
 	private MenuItem createMenuItem(String name, String icon, KeyCodeCombination keyCodeComb) {