commit a6a3acbdc978f4469faf6863163459ec6222e292
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Wed Apr 22 23:21:04 2020 +0200

    re #7891 html.txt and json.txt generated

diff --git a/project/html.txt b/project/html.txt
index dddef85..e69de29 100644
--- a/project/html.txt
+++ b/project/html.txt
@@ -1 +0,0 @@
-{<br/><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.item.ToItem</span><span style="color:green"> extends </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.TransportObject</span> : {<br/><span style="margin-left:2em">}<br/>},<br/>{<br/><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.TransportObject</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"operation"</span> : U, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"status"</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.TransportObjectStatus</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"transactionID"</span> : 100000000001256826, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em"><span style="margin-left:2em">}, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"table"</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.item.TbiRItem</span><span style="color:green"> extends </span><span style="color:blue;font-weight:bold">gk.tbi.TbiTable</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/>},<br/>{<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.tbi.TbiTable</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"changed"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"hasMoreData"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"rows"</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">java.util.Vector</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"capacityIncrement"</span> : 0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"elementCount"</span> : 1, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"elementData"</span> : [ {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.std_bo_if.share.data.to.item.TbiRItemRow</span><span style="color:green"> extends </span><span style="color:blue;font-weight:bold">gk.tbi.TbiRow</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_authorized_for_sale_flag"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_bonuspoints_flag"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_collection_allowed_for_element_change_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_concession_item_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_consumer_pckg_weight"</span> : 94.5, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_conversion_factor_input_required_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_default_label_count"</span> : 1, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_delivery_stock_assortment_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_deposit_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_fee_included"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_fl_itm_dsc"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_item_deleted_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_markdown_type"</span> : 0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_negative_position_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_prohibited_for_return_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_recycling_fee"</span> : 0.0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_retain_prepayment_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_short_list_showing_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_sku_amount_factor"</span> : 1.0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_takeaway_allowed_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_tare_id"</span> : 0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_tax_exempt_prohibited_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_unit_pricing_required_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_stock_flag"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_stock_on_item_collection_elements_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_stock_on_main_item_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_turnover_flag"</span> : true, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_turnover_on_item_collection_elements_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_update_turnover_on_main_item_flag"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_warranty_period"</span> : 0.0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_wertartikelok"</span> : false, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_bon_text"</span> : "Ліжко MANDERUP 140x200см дикий дуб", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_description"</span> : "Ліжко MANDERUP 140x200см дикий дуб", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_item_id"</span> : "3600726", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_item_main_id"</span> : "3600726", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_merchandise_structure_id"</span> : "040211", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_name"</span> : "Ліжко MANDERUP 140x200см дикий дуб", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_pos_department_id"</span> : "1", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_price_processing"</span> : "01", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_retail_selling"</span> : "ST", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_stock_item_type_code"</span> : "00", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_supplier_id"</span> : "C290", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_tax_group_id"</span> : "83", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_xx001"</span> : "41", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"_xx002"</span> : "9403601000", <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/>},<br/>{<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:green">class </span><span style="color:blue;font-weight:bold">gk.tbi.TbiRow</span> : {<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"status"</span> : 0, <br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="color:purple">"notNullArray"</span> : [ -1, -20, 62, -22, -4, 17, -32, 12 ]<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">},  ]<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em"><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em"><span style="margin-left:2em">}<br/><span style="margin-left:2em">}<br/>}
\ No newline at end of file
diff --git a/project/json.txt b/project/json.txt
index 87115cf..e69de29 100644
--- a/project/json.txt
+++ b/project/json.txt
@@ -1,85 +0,0 @@
-{
-	class gk.std_bo_if.share.data.to.item.ToItem extends gk.std_bo_if.share.data.to.TransportObject : {
-	}
-},
-{
-	class gk.std_bo_if.share.data.to.TransportObject : {
-		"operation" : U, 
-		"status" : {
-			class gk.std_bo_if.share.data.to.TransportObjectStatus : {
-				"transactionID" : 100000000001256826, 
-			}
-		}, 
-		"table" : {
-			class gk.std_bo_if.share.data.to.item.TbiRItem extends gk.tbi.TbiTable : {
-			}
-},
-{
-			class gk.tbi.TbiTable : {
-				"changed" : true, 
-				"hasMoreData" : false, 
-				"rows" : {
-					class java.util.Vector : {
-						"capacityIncrement" : 0, 
-						"elementCount" : 1, 
-						"elementData" : [ {
-							class gk.std_bo_if.share.data.to.item.TbiRItemRow extends gk.tbi.TbiRow : {
-								"_authorized_for_sale_flag" : true, 
-								"_bonuspoints_flag" : true, 
-								"_collection_allowed_for_element_change_flag" : false, 
-								"_concession_item_flag" : false, 
-								"_consumer_pckg_weight" : 94.5, 
-								"_conversion_factor_input_required_flag" : false, 
-								"_default_label_count" : 1, 
-								"_delivery_stock_assortment_flag" : false, 
-								"_deposit_flag" : false, 
-								"_fee_included" : true, 
-								"_fl_itm_dsc" : true, 
-								"_item_deleted_flag" : false, 
-								"_markdown_type" : 0, 
-								"_negative_position_flag" : false, 
-								"_prohibited_for_return_flag" : false, 
-								"_recycling_fee" : 0.0, 
-								"_retain_prepayment_flag" : false, 
-								"_short_list_showing_flag" : false, 
-								"_sku_amount_factor" : 1.0, 
-								"_takeaway_allowed_flag" : false, 
-								"_tare_id" : 0, 
-								"_tax_exempt_prohibited_flag" : false, 
-								"_unit_pricing_required_flag" : false, 
-								"_update_stock_flag" : true, 
-								"_update_stock_on_item_collection_elements_flag" : false, 
-								"_update_stock_on_main_item_flag" : false, 
-								"_update_turnover_flag" : true, 
-								"_update_turnover_on_item_collection_elements_flag" : false, 
-								"_update_turnover_on_main_item_flag" : false, 
-								"_warranty_period" : 0.0, 
-								"_wertartikelok" : false, 
-								"_bon_text" : "Ліжко MANDERUP 140x200см дикий дуб", 
-								"_description" : "Ліжко MANDERUP 140x200см дикий дуб", 
-								"_item_id" : "3600726", 
-								"_item_main_id" : "3600726", 
-								"_merchandise_structure_id" : "040211", 
-								"_name" : "Ліжко MANDERUP 140x200см дикий дуб", 
-								"_pos_department_id" : "1", 
-								"_price_processing" : "01", 
-								"_retail_selling" : "ST", 
-								"_stock_item_type_code" : "00", 
-								"_supplier_id" : "C290", 
-								"_tax_group_id" : "83", 
-								"_xx001" : "41", 
-								"_xx002" : "9403601000", 
-							}
-},
-{
-							class gk.tbi.TbiRow : {
-								"status" : 0, 
-								"notNullArray" : [ -1, -20, 62, -22, -4, 17, -32, 12 ]
-							}
-						},  ]
-					}
-				}
-			}
-		}
-	}
-}
\ No newline at end of file