commit b8fb2f0d4cf8657948b51b56f4c2f6d384062d46
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Sat Apr 4 19:33:43 2020 +0200

    Some of the tests rewritten into readable code.

diff --git a/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class b/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class
deleted file mode 100644
index 1b1d604..0000000
Binary files a/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class and /dev/null differ
diff --git a/demo_jh/Deserializer_tests/bin/app/App.class b/demo_jh/Deserializer_tests/bin/app/App.class
index 8fa3e98..783ba02 100644
Binary files a/demo_jh/Deserializer_tests/bin/app/App.class and b/demo_jh/Deserializer_tests/bin/app/App.class differ
diff --git a/demo_jh/Deserializer_tests/serialized/simple.out b/demo_jh/Deserializer_tests/serialized/simple.out
index f62c673..76c2cbb 100644
Binary files a/demo_jh/Deserializer_tests/serialized/simple.out and b/demo_jh/Deserializer_tests/serialized/simple.out differ
diff --git a/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java b/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java
deleted file mode 100644
index a2a596c..0000000
--- a/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java
+++ /dev/null
@@ -1,17 +0,0 @@
-package SampleClasses;
-
-import java.io.Serializable;
-
-public class Simple implements Serializable
-{
-	private static final long serialVersionUID = 1L;
-
-    private String pozdrav = "AHOJ";
-    private int testInt = 123;
-    private double testDouble = 1.00;
-
-    public Simple() 
-    {
-        int locInt = 5;
-    }
-}
\ No newline at end of file
diff --git a/demo_jh/Deserializer_tests/src/SampleClassesNOK/Simple.java b/demo_jh/Deserializer_tests/src/SampleClassesNOK/Simple.java
new file mode 100644
index 0000000..8dc019e
--- /dev/null
+++ b/demo_jh/Deserializer_tests/src/SampleClassesNOK/Simple.java
@@ -0,0 +1,17 @@
+package SampleClassesNOK;
+
+import java.io.Serializable;
+
+public class Simple implements Serializable
+{
+	private static final long serialVersionUID = 1L;
+
+    private String pozdrav = "AHOJ";
+    private int testInt = 123;
+    private double testDouble = 1.00;
+
+    public Simple() 
+    {
+        int locInt = 5;
+    }
+}
\ No newline at end of file
diff --git a/demo_jh/Deserializer_tests/src/SampleClassesOK/Simple.java b/demo_jh/Deserializer_tests/src/SampleClassesOK/Simple.java
new file mode 100644
index 0000000..db04e35
--- /dev/null
+++ b/demo_jh/Deserializer_tests/src/SampleClassesOK/Simple.java
@@ -0,0 +1,17 @@
+package SampleClassesOK;
+
+import java.io.Serializable;
+
+public class Simple implements Serializable
+{
+	private static final long serialVersionUID = 1L;
+
+    private String pozdrav = "AHOJ";
+    private int testInt = 123;
+    private double testDouble = 1.00;
+
+    public Simple() 
+    {
+        int locInt = 5;
+    }
+}
\ No newline at end of file
diff --git a/demo_jh/Deserializer_tests/src/app/App.java b/demo_jh/Deserializer_tests/src/app/App.java
index ce69d06..87262c2 100644
--- a/demo_jh/Deserializer_tests/src/app/App.java
+++ b/demo_jh/Deserializer_tests/src/app/App.java
@@ -9,13 +9,27 @@ import java.io.ObjectOutputStream;
 
 public class App 
 {
+    
+    /**
+    * When the Serialized and deserialized classes are same, but placed in diff
+    * packages, the deserialization does not work.
+    * When they are 
+    * **/
     public static void main(String[] args) throws Exception 
     {
-        System.out.println("Starting...");
+        try{
+            System.out.println("Starting...");
 
-        App thisApp = new App();
-        thisApp.Serialize(new SampleClasses.Simple(), "serialized/simple.out");
-        SampleClasses.Simple test1 = thisApp.Deserialize("serialized/simple.out");
+            App thisApp = new App();
+            //thisApp.Serialize(new SampleClassesOK.Simple(), "serialized/simple.out");
+            
+            SampleClassesOK.Simple test1 = thisApp.Deserialize("serialized/simple.out");
+
+        }catch(Exception e)
+        {
+            System.out.println(e.toString());
+            System.out.println(e.getMessage());
+        }
     }
 
     private <T> T Deserialize(String inputFilePath)