commit c940cecd28c510b6c40e4a43ba7ae7802ed6b0d3
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Wed Apr 29 15:20:10 2020 +0200

    re #7891 Output format new line after ']'

diff --git a/project/Deserializer/src/jdeserialize/arrayobj.java b/project/Deserializer/src/jdeserialize/arrayobj.java
index 4183708..e17b2f3 100644
--- a/project/Deserializer/src/jdeserialize/arrayobj.java
+++ b/project/Deserializer/src/jdeserialize/arrayobj.java
@@ -34,22 +34,52 @@ public class arrayobj extends contentbase {
 
     public @Override String toJson(String indentation, Map<classdesc, Map<field, Object>> fielddata, boolean child) {
         StringBuilder sb = new StringBuilder();
-        sb.append("[ ");
+        boolean bracketInserted = false;
+        boolean isLast = false;
+
+        for(int i = 0; i < this.data.size(); i++) {
+            Object el = this.data.get(i);
+            
+            isLast = (i == this.data.size()-1) || (this.data.get(i+1) == null);
 
-        for (Object el : this.data) {
             if (el != null) {
                 if (el instanceof content) {
-                    sb.append(((content) el).toJson(indentation, fielddata, child));
+                    if(!bracketInserted){
+                        sb.append("\n").append(indentation).append("[ \n");
+                        indentation += "\t";
+                    }
+                    sb.append(((content) el).toJson(indentation, fielddata, false));
+                    if(!bracketInserted){
+                        indentation = indentation.replaceFirst("\t", "");
+                        bracketInserted = true;
+                    }
+
+                    if (!isLast) {
+                        sb.append(", ");
+                    }
+                    sb.append("\n").append(indentation).append("]");
+                    if (!isLast) {
+                        sb.append(",\n");
+                    }
+                    /*else{
+                        sb.append("\n");
+                    }*/
                 }else{
+                    if(!bracketInserted){
+                        sb.append("[ ");
+                        bracketInserted = true;
+                    }
                     sb.append(el.toString());
+                    if (!isLast) {
+                        sb.append(", ");
+                    }
+                    if (isLast) {
+                        sb.append(" ]");
+                    }
                 }
                 
-                if (!el.equals(this.data.get(this.data.size() - 1))) {
-                    sb.append(", ");
-                }
             }
         }
-        sb.append(" ]");
         return sb.toString();
     }
 
diff --git a/project/Deserializer/src/jdeserialize/classdesc.java b/project/Deserializer/src/jdeserialize/classdesc.java
index a86774b..28f717d 100644
--- a/project/Deserializer/src/jdeserialize/classdesc.java
+++ b/project/Deserializer/src/jdeserialize/classdesc.java
@@ -233,6 +233,7 @@ public class classdesc extends contentbase {
         {
             sb.append(indentation);
         }
+        
         sb.append("{\n");
 
         indentation += "\t";
@@ -296,9 +297,9 @@ public class classdesc extends contentbase {
         if(this.superclass != null)
         {
             indentation = indentation.replaceFirst("\t", "");
-            sb.append("\n").append("}");
+            sb.append("\n").append(indentation).append("}");
             sb.append("," + "\n");
-            sb.append(this.superclass.toJson(indentation, fielddata, child));
+            sb.append(this.superclass.toJson(indentation, fielddata, false));
         }
         else 
         {
diff --git a/project/app.config b/project/app.config
index d191d2c..038a809 100644
--- a/project/app.config
+++ b/project/app.config
@@ -1 +1 @@
-#Sun Apr 26 09:05:48 CEST 2020
+#Mon Apr 27 13:40:05 CEST 2020
diff --git a/project/html.txt b/project/html.txt
deleted file mode 100644
index cb79894..0000000
--- a/project/html.txt
+++ /dev/null
@@ -1,85 +0,0 @@
-{
-<span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.item.ToItem</span><span style="color:green;"> extends </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.TransportObject</span> : {
-<span style="margin-left:2em;">}
-},
-{
-<span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.TransportObject</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"operation"</span> : U, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"status"</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.TransportObjectStatus</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"transactionID"</span> : 100000000001256779, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;"><span style="margin-left:2em;">}, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"table"</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.item.TbiRItem</span><span style="color:green;"> extends </span><span style="color:blue;font-weight:bold;">gk.tbi.TbiTable</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-},
-{
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.tbi.TbiTable</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"changed"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"hasMoreData"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"rows"</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">java.util.Vector</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"capacityIncrement"</span> : 0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"elementCount"</span> : 1, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"elementData"</span> : [ {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.std_bo_if.share.data.to.item.TbiRItemRow</span><span style="color:green;"> extends </span><span style="color:blue;font-weight:bold;">gk.tbi.TbiRow</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_authorized_for_sale_flag"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_bonuspoints_flag"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_collection_allowed_for_element_change_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_concession_item_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_consumer_pckg_weight"</span> : 3.77, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_conversion_factor_input_required_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_default_label_count"</span> : 1, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_delivery_stock_assortment_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_deposit_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_fee_included"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_fl_itm_dsc"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_item_deleted_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_markdown_type"</span> : 0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_negative_position_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_prohibited_for_return_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_recycling_fee"</span> : 0.0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_retain_prepayment_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_short_list_showing_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_sku_amount_factor"</span> : 1.0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_takeaway_allowed_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_tare_id"</span> : 0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_tax_exempt_prohibited_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_unit_pricing_required_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_stock_flag"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_stock_on_item_collection_elements_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_stock_on_main_item_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_turnover_flag"</span> : true, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_turnover_on_item_collection_elements_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_update_turnover_on_main_item_flag"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_warranty_period"</span> : 0.0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_wertartikelok"</span> : false, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_bon_text"</span> : "Ліжко надувне VELOUR 137х191см", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_description"</span> : "Ліжко надувне VELOUR 137х191см", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_item_id"</span> : "4733200", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_item_main_id"</span> : "4733200", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_merchandise_structure_id"</span> : "090503", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_name"</span> : "Ліжко надувне VELOUR 137х191см", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_pos_department_id"</span> : "1", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_price_processing"</span> : "01", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_retail_selling"</span> : "ST", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_stock_item_type_code"</span> : "00", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_supplier_id"</span> : "C290", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_tax_group_id"</span> : "83", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_xx001"</span> : "11", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"_xx002"</span> : "3926909290", 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-},
-{
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:green;">class </span><span style="color:blue;font-weight:bold;">gk.tbi.TbiRow</span> : {
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"status"</span> : 0, 
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="color:purple;">"notNullArray"</span> : [ -1, -20, 62, -22, -4, 17, -32, 12 ]
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">},  ]
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;"><span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;"><span style="margin-left:2em;">}
-<span style="margin-left:2em;">}
-}
\ No newline at end of file
diff --git a/project/json.txt b/project/json.txt
deleted file mode 100644
index 76a3060..0000000
--- a/project/json.txt
+++ /dev/null
@@ -1,85 +0,0 @@
-{
-	class gk.std_bo_if.share.data.to.item.ToItem extends gk.std_bo_if.share.data.to.TransportObject : {
-	}
-},
-{
-	class gk.std_bo_if.share.data.to.TransportObject : {
-		"operation" : U, 
-		"status" : {
-			class gk.std_bo_if.share.data.to.TransportObjectStatus : {
-				"transactionID" : 100000000001256779, 
-			}
-		}, 
-		"table" : {
-			class gk.std_bo_if.share.data.to.item.TbiRItem extends gk.tbi.TbiTable : {
-			}
-},
-{
-			class gk.tbi.TbiTable : {
-				"changed" : true, 
-				"hasMoreData" : false, 
-				"rows" : {
-					class java.util.Vector : {
-						"capacityIncrement" : 0, 
-						"elementCount" : 1, 
-						"elementData" : [ {
-							class gk.std_bo_if.share.data.to.item.TbiRItemRow extends gk.tbi.TbiRow : {
-								"_authorized_for_sale_flag" : true, 
-								"_bonuspoints_flag" : true, 
-								"_collection_allowed_for_element_change_flag" : false, 
-								"_concession_item_flag" : false, 
-								"_consumer_pckg_weight" : 3.77, 
-								"_conversion_factor_input_required_flag" : false, 
-								"_default_label_count" : 1, 
-								"_delivery_stock_assortment_flag" : false, 
-								"_deposit_flag" : false, 
-								"_fee_included" : true, 
-								"_fl_itm_dsc" : true, 
-								"_item_deleted_flag" : false, 
-								"_markdown_type" : 0, 
-								"_negative_position_flag" : false, 
-								"_prohibited_for_return_flag" : false, 
-								"_recycling_fee" : 0.0, 
-								"_retain_prepayment_flag" : false, 
-								"_short_list_showing_flag" : false, 
-								"_sku_amount_factor" : 1.0, 
-								"_takeaway_allowed_flag" : false, 
-								"_tare_id" : 0, 
-								"_tax_exempt_prohibited_flag" : false, 
-								"_unit_pricing_required_flag" : false, 
-								"_update_stock_flag" : true, 
-								"_update_stock_on_item_collection_elements_flag" : false, 
-								"_update_stock_on_main_item_flag" : false, 
-								"_update_turnover_flag" : true, 
-								"_update_turnover_on_item_collection_elements_flag" : false, 
-								"_update_turnover_on_main_item_flag" : false, 
-								"_warranty_period" : 0.0, 
-								"_wertartikelok" : false, 
-								"_bon_text" : "Ліжко надувне VELOUR 137х191см", 
-								"_description" : "Ліжко надувне VELOUR 137х191см", 
-								"_item_id" : "4733200", 
-								"_item_main_id" : "4733200", 
-								"_merchandise_structure_id" : "090503", 
-								"_name" : "Ліжко надувне VELOUR 137х191см", 
-								"_pos_department_id" : "1", 
-								"_price_processing" : "01", 
-								"_retail_selling" : "ST", 
-								"_stock_item_type_code" : "00", 
-								"_supplier_id" : "C290", 
-								"_tax_group_id" : "83", 
-								"_xx001" : "11", 
-								"_xx002" : "3926909290", 
-							}
-},
-{
-							class gk.tbi.TbiRow : {
-								"status" : 0, 
-								"notNullArray" : [ -1, -20, 62, -22, -4, 17, -32, 12 ]
-							}
-						},  ]
-					}
-				}
-			}
-		}
-	}
-}
\ No newline at end of file