commit cf40a19b7e2fb18a3eb627a095247413e66f582d
Author: @havlijan17 <havlijan@students.zcu.cz>
Date:   Sat Apr 4 15:16:05 2020 +0200

    #7768 Creating the project for basic tests

diff --git a/demo_jh/Deserializer_tests/.classpath b/demo_jh/Deserializer_tests/.classpath
new file mode 100644
index 0000000..dfa42f8
--- /dev/null
+++ b/demo_jh/Deserializer_tests/.classpath
@@ -0,0 +1,6 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<classpath>
+	<classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-11"/>
+	<classpathentry kind="src" path="src"/>
+	<classpathentry kind="output" path="bin"/>
+</classpath>
diff --git a/demo_jh/Deserializer_tests/.project b/demo_jh/Deserializer_tests/.project
new file mode 100644
index 0000000..ba98edf
--- /dev/null
+++ b/demo_jh/Deserializer_tests/.project
@@ -0,0 +1,17 @@
+<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
+<projectDescription>
+  <name>Deserializer_tests</name>
+  <comment/>
+  <projects>&#xD;
+    </projects>
+  <buildSpec>
+    <buildCommand>
+      <name>org.eclipse.jdt.core.javabuilder</name>
+      <arguments>&#xD;
+            </arguments>
+    </buildCommand>
+  </buildSpec>
+  <natures>
+    <nature>org.eclipse.jdt.core.javanature</nature>
+  </natures>
+</projectDescription>
\ No newline at end of file
diff --git a/demo_jh/Deserializer_tests/.settings/org.eclipse.jdt.core.prefs b/demo_jh/Deserializer_tests/.settings/org.eclipse.jdt.core.prefs
new file mode 100644
index 0000000..b81b13d
--- /dev/null
+++ b/demo_jh/Deserializer_tests/.settings/org.eclipse.jdt.core.prefs
@@ -0,0 +1,11 @@
+eclipse.preferences.version=1
+org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=11
+org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
+org.eclipse.jdt.core.compiler.compliance=10
+org.eclipse.jdt.core.compiler.debug.lineNumber=generate
+org.eclipse.jdt.core.compiler.debug.localVariable=generate
+org.eclipse.jdt.core.compiler.debug.sourceFile=generate
+org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
+org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
+org.eclipse.jdt.core.compiler.source=11
diff --git a/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class b/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class
new file mode 100644
index 0000000..b38231e
Binary files /dev/null and b/demo_jh/Deserializer_tests/bin/SampleClasses/Simple.class differ
diff --git a/demo_jh/Deserializer_tests/bin/app/App.class b/demo_jh/Deserializer_tests/bin/app/App.class
new file mode 100644
index 0000000..7942882
Binary files /dev/null and b/demo_jh/Deserializer_tests/bin/app/App.class differ
diff --git a/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java b/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java
new file mode 100644
index 0000000..6750b83
--- /dev/null
+++ b/demo_jh/Deserializer_tests/src/SampleClasses/Simple.java
@@ -0,0 +1,15 @@
+package SampleClasses;
+
+public class Simple 
+{
+	private static final long serialVersionUID = 1L;
+
+    private String pozdrav = "AHOJ";
+    private int testInt = 123;
+    private double testDouble = 1.00;
+
+    public Simple() 
+    {
+        int locInt = 5;
+    }
+}
\ No newline at end of file
diff --git a/demo_jh/Deserializer_tests/src/app/App.java b/demo_jh/Deserializer_tests/src/app/App.java
new file mode 100644
index 0000000..0518caa
--- /dev/null
+++ b/demo_jh/Deserializer_tests/src/app/App.java
@@ -0,0 +1,7 @@
+package app;
+
+public class App {
+    public static void main(String[] args) throws Exception {
+        System.out.println("Hello Java");
+    }
+}
\ No newline at end of file
diff --git a/demo_mh/Deserializer/.vscode/launch.json b/demo_mh/Deserializer/.vscode/launch.json
new file mode 100644
index 0000000..bc9c691
--- /dev/null
+++ b/demo_mh/Deserializer/.vscode/launch.json
@@ -0,0 +1,28 @@
+{
+    // Use IntelliSense to learn about possible attributes.
+    // Hover to view descriptions of existing attributes.
+    // For more information, visit: https://go.microsoft.com/fwlink/?linkid=830387
+    "version": "0.2.0",
+    "configurations": [
+        {
+            "type": "java",
+            "name": "Debug (Launch) - Current File",
+            "request": "launch",
+            "mainClass": "${file}"
+        },
+        {
+            "type": "java",
+            "name": "Debug (Launch)-Deserializer<Deserializer>",
+            "request": "launch",
+            "mainClass": "deserialize.Deserializer",
+            "projectName": "Deserializer"
+        },
+        {
+            "type": "java",
+            "name": "Debug (Launch)-Example<Deserializer>",
+            "request": "launch",
+            "mainClass": "serialize.Example",
+            "projectName": "Deserializer"
+        }
+    ]
+}
\ No newline at end of file
diff --git a/demo_mh/Deserializer/Deserializer.iml b/demo_mh/Deserializer/Deserializer.iml
new file mode 100644
index 0000000..4c26c69
--- /dev/null
+++ b/demo_mh/Deserializer/Deserializer.iml
@@ -0,0 +1,27 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<module type="JAVA_MODULE" version="4">
+  <component name="EclipseModuleManager">
+    <libelement value="jar://$MODULE_DIR$/libs/json-simple-1.1.1.jar!/" />
+    <src_description expected_position="1">
+      <src_folder value="file://$MODULE_DIR$/src" expected_position="1" />
+    </src_description>
+  </component>
+  <component name="NewModuleRootManager">
+    <output url="file://$MODULE_DIR$/bin" />
+    <exclude-output />
+    <content url="file://$MODULE_DIR$">
+      <sourceFolder url="file://$MODULE_DIR$/src" isTestSource="false" />
+    </content>
+    <orderEntry type="inheritedJdk" />
+    <orderEntry type="sourceFolder" forTests="false" />
+    <orderEntry type="module-library">
+      <library name="json-simple-1.1.1.jar">
+        <CLASSES>
+          <root url="jar://$MODULE_DIR$/libs/json-simple-1.1.1.jar!/" />
+        </CLASSES>
+        <JAVADOC />
+        <SOURCES />
+      </library>
+    </orderEntry>
+  </component>
+</module>
\ No newline at end of file